summaryrefslogtreecommitdiff
path: root/tests/tests/package-build
diff options
context:
space:
mode:
authorIan Jackson <ijackson@chiark.greenend.org.uk>2018-10-04 01:44:32 +0100
committerIan Jackson <ijackson@chiark.greenend.org.uk>2018-10-04 02:01:51 +0100
commit20ddcd3e8193624ab2150b91030c6a7f7fb01956 (patch)
treef59b401f278bb849419bd69b285b9f345697e2fb /tests/tests/package-build
parente5aabc073dbd76943d08fc0ff417c023bd109870 (diff)
test suite: Test that the binary packages can be built
Signed-off-by: Ian Jackson <ijackson@chiark.greenend.org.uk>
Diffstat (limited to 'tests/tests/package-build')
-rwxr-xr-xtests/tests/package-build14
1 files changed, 14 insertions, 0 deletions
diff --git a/tests/tests/package-build b/tests/tests/package-build
new file mode 100755
index 0000000..0b87823
--- /dev/null
+++ b/tests/tests/package-build
@@ -0,0 +1,14 @@
+#!/bin/bash
+set -e
+. tests/lib
+
+t-restrict x-dgit-git-only
+
+mkdir $tmp/dgit
+cd $root
+git ls-files -z |xargs -0 cp --parents -t $tmp/dgit
+cd $tmp/dgit
+
+dpkg-buildpackage -nc -uc -b
+
+echo ok.